<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org" xmlns:layout="http://layout.thymeleaf.org" lang="fr">
<head>
    <th:block th:replace="~{commons/layout/head}" />
</head>
<body>
    <span class="ribbon" th:if="${!#strings.isEmpty(@appProperties.environment)}" th:text="${@appProperties.environment}">Environment</span>

    <div class="page-wrap">
        <nav class="navbar" role="navigation">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbarCollapse" aria-expanded="false">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="fa fa-bars"></span>
                    </button>
                    <button th:if="${session?.user != null}" type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbarCollapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="fa fa-bars"></span>
                    </button>
                    <a class="navbar-brand" href="#">
                        <img th:src="@{/images/logo/republique-francaise.png}" />
                        <img th:src="@{/images/logo/guichet-entreprises.png}" />
                    </a>
                </div>

                <div class="infosPersoEntete" sec:authorize="isAuthenticated()">
                    <div class="nom" sec:authentication="name">John Doe</div>
                    <div class="linkLogout">
                        <a href="#" th:href="@{/logout}" th:text="#{Logout}">Logout</a>
                    </div>
                </div>

    <!--             <div class="infosPersoEntete" th:if="${user}">
                    <div class="nom">
                        <span th:text="${user.id}"></span>
                    </div>
                </div> -->

                <div class="infosPersoEntete" th:switch="${session?.user != null}">
                    <div th:case="${true}">
                        <div class="nom">
                            <span th:text="${session.user.lastname}"></span>
                            <span th:text="${session.user.firstname}"></span>
                        </div>
                        <div class="linkMajInfo">
                            <a th:href="@{/majInfosPerso}">
                                <span th:remove="tag" th:text="#{Profile}"></span>
                            </a>
                        </div>
                        <div class="linkLogout">
                            <a href="#" th:href="@{/logout}">
                                <span th:remove="tag" th:text="#{Disconnect}"></span>
                            </a>
                        </div>
                    </div>
                </div>

                <div id="navbarCollapse" th:replace="commons/layout/menu"></div>
            </div>
        </nav>

        <div class="container" id="content" th:include="${globalContent} ?: _">
            <div>
                <div class="pull-right" th:include="${contextual} ?: _"></div>
                <ol class="breadcrumb" th:include="${breadcrumbs} ?: _">
                    <li>
                        <a th:href="@{/}" th:text="#{Home}"></a>
                    </li>
                </ol>
            </div>
            <div id="alertsPlaceholder"></div>
            <th:block th:replace="${mainContent} ?: _">
            BODY PAGE GOES HERE !
            </th:block>
        </div>
    </div>

    <footer class="footer">
        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <a th:href="@{${@appProperties.frontUrl} + '/qui-sommes-nous/'}" target="_blank" th:text="#{About us}"></a>
                    <a th:href="@{${@appProperties.frontUrl} + '/mentions-legales/'}" target="_blank" th:text="#{Terms of Service}"></a>
                    <a th:href="@{${@appProperties.frontUrl} + '/contactez-nous/'}" target="_blank" th:text="#{Contact us}"></a>
                </div>
                <div class="col-md-7">
                    <img th:src="@{/images/logo/footer.jpg}" style="width: 100%"></img>
                </div>
            </div>
        </div>
    </footer>
</body>
</html>
